# // SelectAction < P_REQUEST Request >        
+
  select 
  +
    case Request->Scan_code = SC_LEFT:  return DO_MOVE_LEFT
    case Request->Scan_code = SC_RIGHT: return DO_MOVE_RIGHT
    case Request->Scan_code = SC_UP:    return DO_MOVE_UP
    case Request->Scan_code = SC_DOWN:  return DO_MOVE_DOWN
  ;
  else
  +
    return DO_ERR_REQUEST
  ;
;

